Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol.lastchange
Class RenderingControlLastChangeParser

    java.lang.Object
      org.teleal.common.xml.SAXParser
          org.teleal.cling.support.lastchange.LastChangeParser
              org.teleal.cling.support.renderingcontrol.lastchange.RenderingControlLastChangeParser

    public class RenderingControlLastChangeParser

extends LastChangeParser

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.lastchange.LastChangeParser
`LastChangeParser.CONSTANTS`

Nested classes/interfaces inherited from class org.teleal.common.xml.SAXParser
`org.teleal.common.xml.SAXParser.Handler<I>, org.teleal.common.xml.SAXParser.SimpleErrorHandler`

Field Summary
`static String` | `NAMESPACE_URI`
`static String` | `SCHEMA_RESOURCE`

Fields inherited from class org.teleal.common.xml.SAXParser
`XML_SCHEMA_NAMESPACE, XML_SCHEMA_RESOURCE`

Constructor Summary
`RenderingControlLastChangeParser()`

Method Summary
`protected Set<Class<? extends EventedValue>>` | `getEventedVariables()`
`protected String` | `getNamespace()`
`protected Source[]` | `getSchemaSources()`

Methods inherited from class org.teleal.cling.support.lastchange.LastChangeParser
`buildDOM, createValue, generate, generateEventedValue, generateInstanceIDs, generateRoot, parse, parseResource`

Methods inherited from class org.teleal.common.xml.SAXParser
`create, createSchema, getErrorHandler, parse, setContentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

### SCHEMA_RESOURCE

    public static final String SCHEMA_RESOURCE

See Also:
  Constant Field Values

Constructor Detail

### RenderingControlLastChangeParser

    public RenderingControlLastChangeParser()

Method Detail

### getNamespace

    protected String getNamespace()

  Specified by:
    `getNamespace` in class `LastChangeParser`

### getSchemaSources

    protected Source[] getSchemaSources()

  Overrides:
    `getSchemaSources` in class `org.teleal.common.xml.SAXParser`

### getEventedVariables

    protected Set<Class<? extends EventedValue>> getEventedVariables()

  Overrides:
    `getEventedVariables` in class `LastChangeParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.